---
{%- for mapping in kubeinstaller.sys.s3.mappings %}

mapping-{{ loop.index0 }}:
  name: "s3-{{ mapping.name }}-mapping"
  domain: "{{ mapping.domain }}"
  path: "{{ mapping.path }}"
  ca:
    issuerName: "{{ mapping.ca.issuerName }}"
  ingress:
    className: "{{ mapping.ingress.className }}"
  backend:
    path: "{{ mapping.s3.path }}"
    service:
      name: "s3-{{ mapping.s3.instance }}-server"
{%- endfor %}
